﻿body {
    font-family: Arial,sans-serif !important;
    font-weight: normal !important;
    font-size: 1rem;
    background: #ececec !important;
}

#divBody {
    min-height: 755px;
}

#divBody h2 {
    color: #ff6000;
    line-height: 1.1;
    font-weight: 700;
    font-size: 3rem;
    text-align: center;
}

#divBody h3 {
    color: #ff6000;
    line-height: 1.1;
    font-weight: 700;
}

/* OVERRIDE TABLE pour un aspect spécifique sur les vues 24-7 */
table {
    color: #111111;
    border-collapse: collapse;
    font-size: 1rem;
}

table.orange thead {
    color: #ffffff;
    background-color: #ff6000;
}

.table tbody tr {
    background-color: #ffffff;
    border-color: #ff6000;
    border-width: 1px 0 0 0;
    border-style: solid;
}

.table td, .table th {
    border-top: none !important;
    border-bottom: none !important;
    vertical-align: middle;
}

.table td > a {
    padding: 0;
}

.table td .btn {
    padding: 0;
}

.table td .btn:focus {
    box-shadow: none;
}

.table td .btn.dropdown-toggle::after {
    color: #ff6000;
    display: inline-block;
    margin-right: 0.255em;
    margin-top: 0.4em;
    vertical-align: 0em;
    content: "";
    border-top: 1em solid;
    border-right: 0.5em solid transparent;
    border-bottom: 0;
    border-left: 0.5em solid transparent;
}

.table td a img {
    height: 2em;
    width: auto;
    line-height: 1;
}

.table-striped-custom tbody tr:nth-of-type(odd) {
    background-color: rgba(254,248,230,0.58) !important;
}

.table tbody tr td a img {
    height: 2em;
    width: auto;
    line-height: 1;
}
/* FIN OVERRIDE TABLE */

/* OVERRIDE DATEPICKER la couleur de date selectionnée */
.gj-picker-bootstrap table tr td.selected.gj-cursor-pointer div {
    background-color: #FF6000;
    border-color: #FF6000;
}
/* FIN OVERRIDE DATEPICKER la couleur de date selectionnée*/

.vivier-command-filter, .vivier-command-filter > div > div {
    background-color: rgba(242, 242, 242, 0.7);
    border: 0px solid transparent;
}

section.commande-creation {
    background-image: url(./commande-creation.jpg);
    background-size: auto 120%;
    background-position: 50% 50%;
    object-fit: cover;
    width: 100%;
    display: block;
    vertical-align: middle;
    background-repeat: no-repeat;
}

section.commande-liste {
    background-image: url(./commande-liste.png);
    background-size: 100%;
    background-position: 0% 0%;
    object-fit: cover;
    width: 100%;
    display: block;
    vertical-align: middle;
}

section.commande-detail {
    background-image: url(./commande-liste.png);
    background-size: 100%;
    background-position: 0% 0%;
    object-fit: cover;
    width: 100%;
    display: block;
    vertical-align: middle;
}

    section.commande-detail > div#divBody {
        background-color: white;
    }

.detail-commande-container {
    --b: 3px;
    --c: #ff6000;
    --w: 100px;

    border: var(--b) solid #0000;
    --_g: #0000 90deg,var(--c) 0;
    --_p: var(--w) var(--w) border-box no-repeat;
    background: conic-gradient(from 90deg at top var(--b) left var(--b),var(--_g)) 0 0 / var(--_p), conic-gradient(from -90deg at bottom var(--b) right var(--b),var(--_g)) 100% 100% / var(--_p);
    box-sizing: border-box;
}

.container-mobile {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.message-container {
    height: 95vh;
    display: flex;
    align-items: center;
}

.detail-container {
    height: 100%;
    padding: 10px;
}

.container-mobile p {
    text-align: center;
    color: #FF6000;
    font-size: 35px;
}

.vivier_filtre {
    background-color: rgba(242, 242, 242, 0.7);
    border: 0px solid transparent;
}

#table-candidats_paginate {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-bottom: 5px;
    float: left;
    align-items: center;
}

#table-commandes_paginate {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-bottom: 5px;
    float: left;
    align-items: center;
}

.paginate_button:hover {
    color: #e6e6e6 !important;
    background-color: #a35559 !important;
    cursor: pointer;
}

.paginate_button {
    background-color: #ff6000;
    color: white !important;
    border: none;
    padding: 5px 20px;
    margin-left: 1px !important;
    margin-bottom: 1px !important;
    text-decoration: none !important;
    border-radius: 5px;
}

.paginate_button.disabled {
    color: #e6e6e6 !important;
    background-color: #a35559 !important;
    cursor: default !important;
}

.paginate_button.current {
    color: #e6e6e6 !important;
    background-color: #a35559 !important;
    cursor: default !important;
}

.img_contacter {
    height: 2em;
    width: auto;
    line-height: 1;
}

.img_warning {
    height: 1em;
    width: auto;
    line-height: 1;
}

.bas_button {
    display: flex;
    flex-direction: row;
    margin: 1px;
}

.error-bandeau-message {
    display: none;
    background-color: #ffd9c8;
    padding: 5px 0px 0px 0px;
    border-color: Red;
    border-style: solid;
    border-width: 1px;
    margin-bottom: 1rem;
    color: red;
}

.titre-247-left {
    text-align: left !important;
    background-color: white;
    opacity: 85%;
}

.btn-247custom {
    width: 8em;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

body {
    font-family: -apple-system, ".SFNSText-Regular", "Helvetica Neue", "Roboto", "Segoe UI", sans-serif;
}

.toggle {
    cursor: pointer;
    display: inline-block;
}

.toggle-switch {
    display: inline-block;
    background: #ccc;
    border-radius: 16px;
    width: 58px;
    height: 32px;
    position: relative;
    vertical-align: middle;
    transition: background 0.25s;
}

.toggle-switch:before, .toggle-switch:after {
    content: "";
}

.toggle-switch:before {
    display: block;
    background: linear-gradient(to bottom, #fff 0%, #eee 100%);
    border-radius: 50%;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.25);
    width: 24px;
    height: 24px;
    position: absolute;
    top: 4px;
    left: 4px;
    transition: left 0.25s;
}

.toggle:hover .toggle-switch:before {
    background: linear-gradient(to bottom, #fff 0%, #fff 100%);
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.5);
}

.toggle-checkbox:checked + .toggle-switch {
    background: #56c080;
}

    .toggle-checkbox:checked + .toggle-switch:before {
        left: 30px;
    }

.toggle-checkbox {
    position: absolute;
    visibility: hidden;
}

.toggle-label {
    margin-left: 5px;
    position: relative;
    top: 2px;
}

.logo {
    width: 525px;
    padding-bottom: 30px
}

.orange-color {
    color: #ff6000;
}

.h-36 {
    height: 36px;
}

.h-30 {
    height: 30px;
}

.cursor-pointer {
    cursor: pointer;
}

.modal-header-padding {
    padding: 1rem 10% 1rem 10%;
}

.modal-footer-padding {
    padding: 1rem 40%;
}

.modal-header-c1 {
    padding: 1rem 19% 1rem 19%;
    justify-content: center
}

.modal-footer-c1 {
    padding: 1rem 40%;
    justify-content: center
}

.fs-4 {
    font-size: 24px;
}

.padding-c2 {
    padding: 1rem 40%;
}

.padding-c3 {
    padding: 1rem 10% 1rem 10%;
}

.dt-container {
    background-color: #ffffff;
    padding: 8px;
}
